#property copyright "60SecondTrades.com"
#property link      ""

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red
#define SIGNAL_BAR 1

extern int ADXbars = 14;
extern int CountBars = 350;
extern string SoundFile="alert2.wav";
extern bool UseSound=true;
bool SoundBuy  = False;
bool SoundSell = False;
double g_ibuf_84[];
double g_ibuf_88[];
double g_iadx_92;
double g_iadx_100;
double g_iadx_108;
double g_iadx_116;

// E37F0136AA3FFAF149B351F6A4C948E9
int init() {
   string ls_unused_0;
   IndicatorBuffers(2);
   SetIndexStyle(0, DRAW_ARROW);
   SetIndexArrow(0, 108);
   SetIndexStyle(1, DRAW_ARROW);
   SetIndexArrow(1, 108);
   SetIndexBuffer(0, g_ibuf_84);
   SetIndexBuffer(1, g_ibuf_88);
   return (0);
}

// EA2B2676C28C0DB26D39331A336C6B92
int start() {
   if (CountBars >= Bars) CountBars = Bars;
   SetIndexDrawBegin(0, Bars - CountBars);
   SetIndexDrawBegin(1, Bars - CountBars);
   int ind_counted_8 = IndicatorCounted();
   if (ind_counted_8 < 0) return (-1);
   if (ind_counted_8 < 1) {
      for (int li_0 = 1; li_0 <= CountBars; li_0++) g_ibuf_84[CountBars - li_0] = 0.0;
      for (li_0 = 1; li_0 <= CountBars; li_0++) g_ibuf_88[CountBars - li_0] = 0.0;
   }
   for (int li_4 = CountBars; li_4 >= 0; li_4--) {
      g_iadx_92 = iADX(NULL, 0, ADXbars, PRICE_CLOSE, MODE_PLUSDI, li_4 - 1);
      g_iadx_100 = iADX(NULL, 0, ADXbars, PRICE_CLOSE, MODE_PLUSDI, li_4);
      g_iadx_108 = iADX(NULL, 0, ADXbars, PRICE_CLOSE, MODE_MINUSDI, li_4 - 1);
      g_iadx_116 = iADX(NULL, 0, ADXbars, PRICE_CLOSE, MODE_MINUSDI, li_4);
      if (g_iadx_92 > g_iadx_108 && g_iadx_100 < g_iadx_116) g_ibuf_84[li_4] = Low[li_4] - 5.0 * Point;
      if (g_iadx_92 < g_iadx_108 && g_iadx_100 > g_iadx_116) g_ibuf_88[li_4] = High[li_4] + 5.0 * Point;
   }
   //+------------------------------------------------------------------+     
      if (g_ibuf_84[SIGNAL_BAR] != EMPTY_VALUE && g_ibuf_84[SIGNAL_BAR] != 0 && SoundBuy)
         {
         SoundBuy = False;
            if (UseSound) PlaySound (SoundFile);
               Alert("SixtySecondTrades(", Symbol(), ", ", Period(), ")  -  BUY!!!"); 
         } 
      if (!SoundBuy && (g_ibuf_84[SIGNAL_BAR] == EMPTY_VALUE || g_ibuf_84[SIGNAL_BAR] == 0)) SoundBuy = True;  
            
  
      if (g_ibuf_88[SIGNAL_BAR] != EMPTY_VALUE && g_ibuf_88[SIGNAL_BAR] != 0 && SoundSell)
         {
         SoundSell = False;
            if (UseSound) PlaySound (SoundFile);
             Alert("SixtySecondTrades (", Symbol(), ", ", Period(), ")  -  SELL!!!"); 
         } 
      if (!SoundSell && (g_ibuf_88[SIGNAL_BAR] == EMPTY_VALUE || g_ibuf_88[SIGNAL_BAR] == 0)) SoundSell = True;                            
   
//+------------------------------------------------------------------+
   return (0);
}